hsql-1.8.2: Database access from Haskell.

Safe Haskell | Safe-Inferred

DB.HSQL.Error

Description

`SqlError` type for a variety of DB specific error conditions, with appropriate `Show`, `Typeable`, and `Exception` instances.

# Documentation

data SqlError Source

Constructors

SqlError | generic error condition, with further specification

Fields

seState :: String
seNativeError :: Int
seErrorMsg :: String

SqlNoMoreData | no more data was available
SqlInvalidHandle | requested handle is invalid
SqlStillExecuting | connection is blocked by running transaction
SqlNeedMoreData | more data is needed, e.g. additional connection specs
SqlBadTypeCast | requested field can't be converted to requested type

Fields

seFieldName :: String
seFieldType :: SqlType

SqlFetchNull | requested field returns NULL

Fields

seFieldName :: String

SqlUnknownField | requested field isn't known

Fields

seFieldName :: String

SqlUnsupportedOperation | requested operation isn't supported
SqlClosedHandle | referenced handle is already closed

Instances

Eq SqlError |
Ord SqlError |
Show SqlError |
Typeable SqlError |
Exception SqlError |